module.exports = {
    "globalExtends": [
        "config:recommended",
        ":semanticCommitTypeAll(fix)",
        ":disableRateLimiting",
        "customManagers:dockerfileVersions",
        "customManagers:helmChartYamlAppVersions"
    ],
    "endpoint": "https://codeberg.org/api/v1",
    "platform": "gitea",
    "githubTokenWarn": false,
    "automerge": false,
    "gitAuthor": "Renovate Bot <dev.codeberg.renovate@wrenix.eu>",

    "commitMessageAction": "update",
    "commitMessageTopic": "dependency",
    "semanticCommits": "enabled",
    "semanticCommitScope": "{{depName}}",

    "requireConfig": "ignored",
    "onboarding": true,
    "dependencyDashboard": true,
    "autodiscover": true,
    "autodiscoverFilter": [
      "wrenix/*"
    ],
    "hostRules": [
        {
            "matchHost": "codeberg.org",
            "username": "wrenix",
            "password": process.env.RENOVATE_TOKEN
        }
    ],
    "packageRules": [{
       "matchUpdateTypes": [ "minor", "patch" ],
       "matchCurrentVersion": ">=1.0.0",
       "automerge": true
    }],
    "flux": {
        "fileMatch": [
            "release.*\\.yaml$",
            "kustomization.*\\.yaml$"
        ]
    }
};

